summaryrefslogtreecommitdiffstats
path: root/graphics/gtkam
diff options
context:
space:
mode:
author Michael Wagner <neobug@tornado.ktu.lt>2010-05-11 14:55:17 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 14:55:17 +0200
commitda553455648c3e5c27fe8aeda7cebe945eb59974 (patch)
tree7f4c852bc608e3f94407275ab7e9f550ed74c865 /graphics/gtkam
parentfdb8fac77cc9addc29479801ee5fed6ab1c3b244 (diff)
downloadslackbuilds-da553455648c3e5c27fe8aeda7cebe945eb59974.tar.gz
slackbuilds-da553455648c3e5c27fe8aeda7cebe945eb59974.tar.xz
graphics/gtkam: Initial import
Diffstat (limited to 'graphics/gtkam')
-rw-r--r--graphics/gtkam/README15
-rw-r--r--graphics/gtkam/doinst.sh3
-rw-r--r--graphics/gtkam/gtkam.SlackBuild102
-rw-r--r--graphics/gtkam/gtkam.info8
-rw-r--r--graphics/gtkam/gtkam.pngbin0 -> 4418 bytes
-rw-r--r--graphics/gtkam/slack-desc19
6 files changed, 147 insertions, 0 deletions
diff --git a/graphics/gtkam/README b/graphics/gtkam/README
new file mode 100644
index 0000000000..5b7d156363
--- /dev/null
+++ b/graphics/gtkam/README
@@ -0,0 +1,15 @@
+Gtkam (GTK2 graphical front-end to libgphoto2)
+
+libgphoto2 is a portable library which gives access to literally
+hundreds of digital cameras. This package includes a graphical GTK2
+frontend and a GIMP plugin.
+
+Homepage: http://www.gphoto.org
+
+Gtkam needs the following packages to build sucsessfully:
+libgphoto2
+libexif-gtk
+
+SlackBuild scripts for these are available at SlackBuilds.org.
+
+To enable GIMP functionality, GIMP has to be installed prior gtkam.
diff --git a/graphics/gtkam/doinst.sh b/graphics/gtkam/doinst.sh
new file mode 100644
index 0000000000..7ebfa3ab4d
--- /dev/null
+++ b/graphics/gtkam/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database -q usr/share/applications
+fi
diff --git a/graphics/gtkam/gtkam.SlackBuild b/graphics/gtkam/gtkam.SlackBuild
new file mode 100644
index 0000000000..b8e9633087
--- /dev/null
+++ b/graphics/gtkam/gtkam.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+# Slackware Build Script for gtkam
+# (C) 2007 Michael Wagner <lapinours@web.de>
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+
+# Modified by the SlackBuilds Project
+
+set -e
+
+PRGNAM=gtkam
+VERSION=0.1.14
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Add --without-gimp if you don't want to compile the GIMP plugin
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var/lib \
+ --mandir=/usr/man \
+ --disable-static \
+ --disable-rpath \
+ --disable-scrollkeeper \
+ --without-gnome \
+ --without-bonobo \
+ --program-prefix="" \
+ --program-suffix="" \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ find . -name "*.?" -type f 2> /dev/null | xargs gzip -9 2> /dev/null
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+ )
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+# Get rid of unnecessary stuff
+for i in gnome omf doc; do
+ rm -rf $PKG/usr/share/$i &> /dev/null
+done
+
+# Replace upstreams png icon as it is corrupt (and replace paths)
+sed -i 's#Icon=gtkam.png#Icon=/usr/share/pixmaps/gtkam.png#' $PKG/usr/share/applications/$PRGNAM.desktop
+install -m 0644 -o root -g root $CWD/gtkam.png $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/gtkam/gtkam.info b/graphics/gtkam/gtkam.info
new file mode 100644
index 0000000000..b402f06341
--- /dev/null
+++ b/graphics/gtkam/gtkam.info
@@ -0,0 +1,8 @@
+PRGNAM="gtkam"
+VERSION="0.1.14"
+HOMEPAGE="http://www.gphoto.org"
+DOWNLOAD="http://dl.sourceforge.net/gphoto/gtkam-0.1.14.tar.bz2"
+MD5SUM="2b6e6fea0bc55d9f78952f0061d7ef7e"
+MAINTAINER="Michael Wagner"
+ENAIL="lapinours@web.de"
+APPROVED="BP{k}"
diff --git a/graphics/gtkam/gtkam.png b/graphics/gtkam/gtkam.png
new file mode 100644
index 0000000000..f548481c87
--- /dev/null
+++ b/graphics/gtkam/gtkam.png
Binary files differ
diff --git a/graphics/gtkam/slack-desc b/graphics/gtkam/slack-desc
new file mode 100644
index 0000000000..c0e075f4ce
--- /dev/null
+++ b/graphics/gtkam/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gtkam: gtkam (GTK2 graphical front-end to libgphoto2)
+gtkam:
+gtkam: libgphoto2 is a portable library which gives access to literally
+gtkam: hundreds of digital cameras. This package includes a graphical GTK2
+gtkam: frontend and a GIMP plugin.
+gtkam:
+gtkam: Homepage: http://www.gphoto.org
+gtkam:
+gtkam:
+gtkam:
+gtkam: